Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1066541

Summary: SELinux is preventing /usr/bin/virsh from 'write' accesses on the sock_file pcscd.comm.
Product: [Fedora] Fedora Reporter: Cole Robinson <crobinso>
Component: libvirt-sandboxAssignee: Daniel Berrange <berrange>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: berrange, dominick.grift, dwalsh, lvrabec, mgrepl, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e58e355ba54b000f0e2087de594181007e87de49ed2ff3227f1919a29fc4eced
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 15:17:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Cole Robinson 2014-02-18 15:28:03 UTC
Description of problem:
This seems to be a result of /etc/cron.daily/libvirt-sandbox-service.logrotate which calls /usr/bin/virsh -c lxc:/// -q list. However I have no idea what virsh is doing with pcscd, and I can't reproduce the error when running that command by hand. I have no active containers running either.
SELinux is preventing /usr/bin/virsh from 'write' accesses on the sock_file pcscd.comm.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that virsh-bin should be allowed write access on the pcscd.comm sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep virsh-bin /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:virsh_t:s0-s0:c0.c1023
Target Context                system_u:object_r:pcscd_var_run_t:s0
Target Objects                pcscd.comm [ sock_file ]
Source                        virsh-bin
Source Path                   /usr/bin/virsh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-122.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.12.10-300.fc20.x86_64 #1 SMP Thu
                              Feb 6 22:11:48 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-02-18 03:43:08 EST
Last Seen                     2014-02-18 03:43:08 EST
Local ID                      85836940-67ed-4ae2-b6cc-0e85416183ed

Raw Audit Messages
type=AVC msg=audit(1392712988.525:8980): avc:  denied  { write } for  pid=12057 comm="virsh-bin" name="pcscd.comm" dev="tmpfs" ino=5222697 scontext=system_u:system_r:virsh_t:s0-s0:c0.c1023 tcontext=system_u:object_r:pcscd_var_run_t:s0 tclass=sock_file


type=AVC msg=audit(1392712988.525:8980): avc:  denied  { connectto } for  pid=12057 comm="virsh-bin" path="/run/pcscd/pcscd.comm" scontext=system_u:system_r:virsh_t:s0-s0:c0.c1023 tcontext=system_u:system_r:pcscd_t:s0 tclass=unix_stream_socket


type=SYSCALL msg=audit(1392712988.525:8980): arch=x86_64 syscall=connect success=yes exit=0 a0=4 a1=7fff14f3caa0 a2=1c a3=7fff14f3c850 items=0 ppid=12056 pid=12057 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=590 tty=(none) comm=virsh-bin exe=/usr/bin/virsh subj=system_u:system_r:virsh_t:s0-s0:c0.c1023 key=(null)

Hash: virsh-bin,virsh_t,pcscd_var_run_t,sock_file,write

Additional info:
reporter:       libreport-2.1.12
hashmarkername: setroubleshoot
kernel:         3.12.10-300.fc20.x86_64
type:           libreport

Comment 1 Cole Robinson 2014-02-18 15:31:17 UTC
danpb, any idea what might be causing this?

(also, ignore any reference to virsh-bin, I created a shell 'virsh' wrapper to see where the virsh call was coming from since this was randomly happening at 3:40 am every day)

Comment 2 Daniel Berrange 2014-02-18 15:34:56 UTC
Wonder if there is something running in gnutls global initialization that uses smartcard functionality that we'd be triggering

Comment 3 Fedora End Of Life 2015-05-29 10:58:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 15:17:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.